#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

// Global constants
#pragma link C++ global kCONTINUE;
#pragma link C++ global kRad2Deg;

// Logging
#pragma link C++ global gLog;

#pragma link C++ class MLog+;
#pragma link C++ class MLogPlugin+;
#pragma link C++ class MLogHtml+;

// Basic Network Tools
#pragma link C++ class MReadSocket+;

// Basic Tools
#pragma link C++ namespace MMath;
#pragma link C++ class MString+;
#pragma link C++ class MEnv+;
#pragma link C++ class MIter+;
#pragma link C++ class MDirIter+;
#pragma link C++ class MRunIter+;

// Mars core
#pragma link C++ class MInputStreamID+;

#pragma link C++ class MParContainer+;
#pragma link C++ class MParList+;

#pragma link C++ class MTask+;
#pragma link C++ class MTaskEnv+;
#pragma link C++ class MTaskInteractive+;
#pragma link C++ class MTaskList+;

#pragma link C++ class MFilter+;

#pragma link C++ class MEvtLoop+;

// Mars core (GUI part)
#pragma link C++ class MStatusArray+;
#pragma link C++ class MStatusDisplay+;
#pragma link C++ class MProgressBar+;
#pragma link C++ class MSearch+;

#pragma link C++ class MGTask+;
#pragma link C++ class MGList+;
#pragma link C++ class MGMap+;
#pragma link C++ class MGGroupFrame+;

// Root enhancements
//#pragma link C++ class MGraph+;

// Basic containers
#pragma link C++ class MArray;
#pragma link C++ class MArrayB;
#pragma link C++ class MArrayS;
#pragma link C++ class MArrayD;
#pragma link C++ class MArrayF;
#pragma link C++ class MArrayI;

#pragma link C++ class MTime+;
#pragma link C++ function operator<<(ostream&, const MTime&);
#pragma link C++ function operator>>(istream&, MTime&);

#pragma link C++ class MArgs+;
#pragma link C++ class MArgsEntry+;

// Tool tasks
#pragma link C++ class MClone+;
#pragma link C++ class MPrint+;
#pragma link C++ class MContinue+;
#pragma link C++ class MContinueList+;

#endif
